Get an activity by UUID
curl --request GET \
--url https://app.variable.global/api/v1/activity/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.variable.global/api/v1/activity/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.variable.global/api/v1/activity/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"syncId": "sync123",
"description": "<string>",
"quantity": 150,
"unit": "kg",
"UpstreamCO2e": "1234",
"DownstreamCO2e": "0.5678",
"product": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Product Name"
},
"scope": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Scope 2: Electricity"
},
"taxonomy": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material",
"path": "material"
},
"org": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Org Unit"
},
"startDate": "2021-01-01T00:00:00.000Z",
"endDate": "2021-01-01T00:00:00.000Z",
"CO2e": "1234.5678"
}{
"message": "token expired"
}Activity
Get Activity
Get an activity
GET
/
v1
/
activity
/
{uuid}
Get an activity by UUID
Requires permission:
Read more about the Activity data models.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Activity data
Example:
"Name"
ISO 8601 date
Example:
"2021-01-01T00:00:00.000Z"
ISO 8601 date
Example:
"2021-01-31T23:59:59.000Z"
Example:
150
The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the List Units endpoint.
Example:
"kg"
if passed, the value will be used instead of the computed value
Example:
"1234"
if passed, the value will be used instead of the computed value
Example:
"0.5678"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A reference to a taxonomy category, including its machine-readable path.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ISO 8601 date
Example:
"2021-01-01T00:00:00.000Z"
ISO 8601 date
Example:
"2021-01-01T00:00:00.000Z"
Example:
"1234.5678"